魔趣8.1需要哪个版本的recovery?

twrp 3.2.1.0可以吗?

不知道。你没说哪个机型。

不过一般需要最新版本。

Android 8.1确实需要TWRP3.2.1刷入,魔趣官网ROM下载页也有提供Recovery下载,如果你没有,你可以自己找找看。

3.2.1-0可以吗

我不知道你的是什么手机,一般最新版就是3.2.1-0了,也不排除一些机型的后续推出了3.2.1-1、3.2.1-2的,但一般最新的就OK了